/* ==========================================================================
   Realizacje (Archiwum Grid)
   ========================================================================== */

.realizations-archive__card {
	height: 100%;
	display: flex;
	flex-direction: column;
	background-color: var(--white-1);
	border-radius: var(--radius-4);
	transition: .3s ease;
	border: 1px solid rgba(0 ,0, 0, .04);
}

.realizations-archive__card .text-s {
	margin-bottom: 1.6rem;
	color: var(--font-color-3);
}

.realizations-archive__card .box-image img {
	display: block;
	width: 100%;
	aspect-ratio: 16/9;
	object-fit: cover;
	object-position: center;
	border-radius: var(--radius-3);
	transition: .3s;
}

.realizations-archive__card .box-image img:hover {
	filter: brightness(.8);
}

.realizations-archive__card h2 a {
	display: inline-block;
	margin-top: 2.4rem;
	transition: .3s;
}

.realizations-archive__card h2 a:hover {
	color: var(--color-1);
}

.realizations-archive__card .content {
	margin-top: 1.6rem;
	flex-grow: 1;
}

.realizations-archive__card .content p {
	color: var(--font-color-2);
	display: -webkit-box;
	-webkit-line-clamp: 3;
	-webkit-box-orient: vertical;
	overflow: hidden;
}

.realizations-archive__card .button {
	margin-top: 3.2rem;
	align-self: flex-start;
}

/* ==========================================================================
   Pagination
   ========================================================================== */
.pagination-container { 
	margin-top: 4rem; 
	display: flex; 
	justify-content: center; 
	gap: 0.5rem;
}

.pagination-container .pagination-arrow { 
	display: flex; 
	align-items: center; 
	justify-content: center; 
	padding: 1rem 1.5rem; 
	min-width: 4rem;
	height: 100%;
	color: var(--font-color-2); 
	background-color: var(--bg-2); 
	border: 1px solid var(--bg-2-border); 
	border-radius: 0.5rem; 
	text-decoration: none; 
	transition: all 0.2s ease;
}
.pagination-container .pagination-arrow:hover { 
	background-color: var(--color-1); 
	color: var(--white-1);
	border-color: var(--color-1);
}
.pagination-container .pagination-arrow.disabled { 
	opacity: 0.5; pointer-events: none;
}

.pagination-container .pagination-arrow svg { 
	width: 1.8rem;
	height: 1.8rem;
	fill: currentColor;
}

.pagination-container .pagination-jump-container { 

}

.pagination-container .pagination-jump-container .pagination-jump-form { 
	display: flex; 
	align-items: center;
	gap: 0.5rem;
	margin: 0 .5rem;
}

.pagination-container .pagination-jump-container .pagination-jump-form .page-jump-input { 
	width: 6rem; 
	text-align: center; 
	padding: 0.5rem; 
	border: 1px solid var(--white-3); 
	border-radius: 0.5rem;
}
.pagination-container .pagination-jump-container .pagination-jump-form .page-jump-input:focus { 
	outline: 2px solid var(--color-1);
}

.pagination-container .pagination-jump-container .pagination-jump-form .total-pages-indicator { 
	color: var(--font-color-4);
}